## ros-humble-tiago-simulation 4.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tiago_simulation)
find_package(ament_cmake REQUIRED)
ament_package()

=== debian/changelog ===
ros-humble-tiago-simulation (4.0.3-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 16 Jun 2023 00:00:00 -0000

ros-humble-tiago-simulation (4.0.2-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 24 Feb 2023 00:00:00 -0000

ros-humble-tiago-simulation (4.0.1-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 08 Feb 2023 00:00:00 -0000

ros-humble-tiago-simulation (4.0.0-1jammy) jammy; urgency=high

  * Merge branch 'update_copyright' into 'humble-devel'
    Update copyright
    See merge request robots/tiago_simulation!89
  * update license
  * Merge branch 'update_maintainers' into 'humble-devel'
    Update maintainers
    See merge request robots/tiago_simulation!88
  * update maintainers
  * package.xml and CMakeLists.txt to ros2 format
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 30 Nov 2022 00:00:00 -0000

ros-humble-tiago-simulation (2.0.23-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 30 Jul 2020 00:00:00 -0000

ros-humble-tiago-simulation (2.0.22-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 21 Apr 2020 00:00:00 -0000

ros-humble-tiago-simulation (2.0.21-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 26 Feb 2020 00:00:00 -0000

ros-humble-tiago-simulation (2.0.20-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 04 Nov 2019 00:00:00 -0000

ros-humble-tiago-simulation (2.0.19-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 23 Oct 2019 00:00:00 -0000

ros-humble-tiago-simulation (2.0.18-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 15 Oct 2019 00:00:00 -0000

ros-humble-tiago-simulation (2.0.17-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 15 Oct 2019 00:00:00 -0000

ros-humble-tiago-simulation (2.0.16-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 10 Oct 2019 00:00:00 -0000

ros-humble-tiago-simulation (2.0.15-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 25 Sep 2019 00:00:00 -0000

ros-humble-tiago-simulation (2.0.14-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 23 Sep 2019 00:00:00 -0000

ros-humble-tiago-simulation (2.0.13-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 23 Sep 2019 00:00:00 -0000

ros-humble-tiago-simulation (2.0.12-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 07 Aug 2019 00:00:00 -0000

ros-humble-tiago-simulation (2.0.11-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 01 Aug 2019 00:00:00 -0000

ros-humble-tiago-simulation (2.0.10-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 17 Jul 2019 00:00:00 -0000

ros-humble-tiago-simulation (2.0.9-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 09 Jul 2019 00:00:00 -0000

ros-humble-tiago-simulation (2.0.8-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 03 Jul 2019 00:00:00 -0000

ros-humble-tiago-simulation (2.0.7-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 17 Jun 2019 00:00:00 -0000

ros-humble-tiago-simulation (2.0.6-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-humble-tiago-simulation (2.0.5-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 14 Mar 2019 00:00:00 -0000

ros-humble-tiago-simulation (2.0.4-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 26 Feb 2019 00:00:00 -0000

ros-humble-tiago-simulation (2.0.3-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 23 Jan 2019 00:00:00 -0000

ros-humble-tiago-simulation (2.0.2-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 23 Jan 2019 00:00:00 -0000

ros-humble-tiago-simulation (2.0.1-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 20 Dec 2018 00:00:00 -0000

ros-humble-tiago-simulation (2.0.0-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 19 Dec 2018 00:00:00 -0000

ros-humble-tiago-simulation (1.0.11-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 26 Nov 2018 00:00:00 -0000

ros-humble-tiago-simulation (1.0.10-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 26 Nov 2018 00:00:00 -0000

ros-humble-tiago-simulation (1.0.9-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 26 Oct 2018 00:00:00 -0000

ros-humble-tiago-simulation (1.0.8-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 28 Sep 2018 00:00:00 -0000

ros-humble-tiago-simulation (1.0.7-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 30 Jul 2018 00:00:00 -0000

ros-humble-tiago-simulation (1.0.6-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 06 Jul 2018 00:00:00 -0000

ros-humble-tiago-simulation (1.0.5-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 05 Jun 2018 00:00:00 -0000

ros-humble-tiago-simulation (1.0.4-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 16 May 2018 00:00:00 -0000



=== debian/control ===
Source: ros-humble-tiago-simulation
Section: misc
Priority: optional
Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-tiago-simulation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-tiago-gazebo, ros-humble-ros-workspace
Description: The tiago_simulation package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tiago-simulation//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
